Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc5d::/16
First address
fc5d::
Last address
fc5d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc5d:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
d.5.c.f.ip6.arpa
Split into smaller subnets/32

fc5d::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1fc5d::/32fc5d:0:ffff:ffff:ffff:ffff:ffff:ffff
2fc5d:1::/32fc5d:1:ffff:ffff:ffff:ffff:ffff:ffff
3fc5d:2::/32fc5d:2:ffff:ffff:ffff:ffff:ffff:ffff
4fc5d:3::/32fc5d:3:ffff:ffff:ffff:ffff:ffff:ffff
5fc5d:4::/32fc5d:4:ffff:ffff:ffff:ffff:ffff:ffff
6fc5d:5::/32fc5d:5:ffff:ffff:ffff:ffff:ffff:ffff
7fc5d:6::/32fc5d:6:ffff:ffff:ffff:ffff:ffff:ffff
8fc5d:7::/32fc5d:7:ffff:ffff:ffff:ffff:ffff:ffff
9fc5d:8::/32fc5d:8:ffff:ffff:ffff:ffff:ffff:ffff
10fc5d:9::/32fc5d:9:ffff:ffff:ffff:ffff:ffff:ffff
11fc5d:a::/32fc5d:a:ffff:ffff:ffff:ffff:ffff:ffff
12fc5d:b::/32fc5d:b:ffff:ffff:ffff:ffff:ffff:ffff
13fc5d:c::/32fc5d:c:ffff:ffff:ffff:ffff:ffff:ffff
14fc5d:d::/32fc5d:d:ffff:ffff:ffff:ffff:ffff:ffff
15fc5d:e::/32fc5d:e:ffff:ffff:ffff:ffff:ffff:ffff
16fc5d:f::/32fc5d:f:ffff:ffff:ffff:ffff:ffff:ffff
17fc5d:10::/32fc5d:10:ffff:ffff:ffff:ffff:ffff:ffff
18fc5d:11::/32fc5d:11:ffff:ffff:ffff:ffff:ffff:ffff
19fc5d:12::/32fc5d:12:ffff:ffff:ffff:ffff:ffff:ffff
20fc5d:13::/32fc5d:13:ffff:ffff:ffff:ffff:ffff:ffff
21fc5d:14::/32fc5d:14:ffff:ffff:ffff:ffff:ffff:ffff
22fc5d:15::/32fc5d:15:ffff:ffff:ffff:ffff:ffff:ffff
23fc5d:16::/32fc5d:16:ffff:ffff:ffff:ffff:ffff:ffff
24fc5d:17::/32fc5d:17:ffff:ffff:ffff:ffff:ffff:ffff
25fc5d:18::/32fc5d:18:ffff:ffff:ffff:ffff:ffff:ffff
26fc5d:19::/32fc5d:19:ffff:ffff:ffff:ffff:ffff:ffff
27fc5d:1a::/32fc5d:1a:ffff:ffff:ffff:ffff:ffff:ffff
28fc5d:1b::/32fc5d:1b:ffff:ffff:ffff:ffff:ffff:ffff
29fc5d:1c::/32fc5d:1c:ffff:ffff:ffff:ffff:ffff:ffff
30fc5d:1d::/32fc5d:1d:ffff:ffff:ffff:ffff:ffff:ffff
31fc5d:1e::/32fc5d:1e:ffff:ffff:ffff:ffff:ffff:ffff
32fc5d:1f::/32fc5d:1f:ffff:ffff:ffff:ffff:ffff:ffff
33fc5d:20::/32fc5d:20:ffff:ffff:ffff:ffff:ffff:ffff
34fc5d:21::/32fc5d:21:ffff:ffff:ffff:ffff:ffff:ffff
35fc5d:22::/32fc5d:22:ffff:ffff:ffff:ffff:ffff:ffff
36fc5d:23::/32fc5d:23:ffff:ffff:ffff:ffff:ffff:ffff
37fc5d:24::/32fc5d:24:ffff:ffff:ffff:ffff:ffff:ffff
38fc5d:25::/32fc5d:25:ffff:ffff:ffff:ffff:ffff:ffff
39fc5d:26::/32fc5d:26:ffff:ffff:ffff:ffff:ffff:ffff
40fc5d:27::/32fc5d:27:ffff:ffff:ffff:ffff:ffff:ffff
41fc5d:28::/32fc5d:28:ffff:ffff:ffff:ffff:ffff:ffff
42fc5d:29::/32fc5d:29:ffff:ffff:ffff:ffff:ffff:ffff
43fc5d:2a::/32fc5d:2a:ffff:ffff:ffff:ffff:ffff:ffff
44fc5d:2b::/32fc5d:2b:ffff:ffff:ffff:ffff:ffff:ffff
45fc5d:2c::/32fc5d:2c:ffff:ffff:ffff:ffff:ffff:ffff
46fc5d:2d::/32fc5d:2d:ffff:ffff:ffff:ffff:ffff:ffff
47fc5d:2e::/32fc5d:2e:ffff:ffff:ffff:ffff:ffff:ffff
48fc5d:2f::/32fc5d:2f:ffff:ffff:ffff:ffff:ffff:ffff
49fc5d:30::/32fc5d:30:ffff:ffff:ffff:ffff:ffff:ffff
50fc5d:31::/32fc5d:31:ffff:ffff:ffff:ffff:ffff:ffff
51fc5d:32::/32fc5d:32:ffff:ffff:ffff:ffff:ffff:ffff
52fc5d:33::/32fc5d:33:ffff:ffff:ffff:ffff:ffff:ffff
53fc5d:34::/32fc5d:34:ffff:ffff:ffff:ffff:ffff:ffff
54fc5d:35::/32fc5d:35:ffff:ffff:ffff:ffff:ffff:ffff
55fc5d:36::/32fc5d:36:ffff:ffff:ffff:ffff:ffff:ffff
56fc5d:37::/32fc5d:37:ffff:ffff:ffff:ffff:ffff:ffff
57fc5d:38::/32fc5d:38:ffff:ffff:ffff:ffff:ffff:ffff
58fc5d:39::/32fc5d:39:ffff:ffff:ffff:ffff:ffff:ffff
59fc5d:3a::/32fc5d:3a:ffff:ffff:ffff:ffff:ffff:ffff
60fc5d:3b::/32fc5d:3b:ffff:ffff:ffff:ffff:ffff:ffff
61fc5d:3c::/32fc5d:3c:ffff:ffff:ffff:ffff:ffff:ffff
62fc5d:3d::/32fc5d:3d:ffff:ffff:ffff:ffff:ffff:ffff
63fc5d:3e::/32fc5d:3e:ffff:ffff:ffff:ffff:ffff:ffff
64fc5d:3f::/32fc5d:3f:ffff:ffff:ffff:ffff:ffff:ffff
65fc5d:40::/32fc5d:40:ffff:ffff:ffff:ffff:ffff:ffff
66fc5d:41::/32fc5d:41:ffff:ffff:ffff:ffff:ffff:ffff
67fc5d:42::/32fc5d:42:ffff:ffff:ffff:ffff:ffff:ffff
68fc5d:43::/32fc5d:43:ffff:ffff:ffff:ffff:ffff:ffff
69fc5d:44::/32fc5d:44:ffff:ffff:ffff:ffff:ffff:ffff
70fc5d:45::/32fc5d:45:ffff:ffff:ffff:ffff:ffff:ffff
71fc5d:46::/32fc5d:46:ffff:ffff:ffff:ffff:ffff:ffff
72fc5d:47::/32fc5d:47:ffff:ffff:ffff:ffff:ffff:ffff
73fc5d:48::/32fc5d:48:ffff:ffff:ffff:ffff:ffff:ffff
74fc5d:49::/32fc5d:49:ffff:ffff:ffff:ffff:ffff:ffff
75fc5d:4a::/32fc5d:4a:ffff:ffff:ffff:ffff:ffff:ffff
76fc5d:4b::/32fc5d:4b:ffff:ffff:ffff:ffff:ffff:ffff
77fc5d:4c::/32fc5d:4c:ffff:ffff:ffff:ffff:ffff:ffff
78fc5d:4d::/32fc5d:4d:ffff:ffff:ffff:ffff:ffff:ffff
79fc5d:4e::/32fc5d:4e:ffff:ffff:ffff:ffff:ffff:ffff
80fc5d:4f::/32fc5d:4f:ffff:ffff:ffff:ffff:ffff:ffff
81fc5d:50::/32fc5d:50:ffff:ffff:ffff:ffff:ffff:ffff
82fc5d:51::/32fc5d:51:ffff:ffff:ffff:ffff:ffff:ffff
83fc5d:52::/32fc5d:52:ffff:ffff:ffff:ffff:ffff:ffff
84fc5d:53::/32fc5d:53:ffff:ffff:ffff:ffff:ffff:ffff
85fc5d:54::/32fc5d:54:ffff:ffff:ffff:ffff:ffff:ffff
86fc5d:55::/32fc5d:55:ffff:ffff:ffff:ffff:ffff:ffff
87fc5d:56::/32fc5d:56:ffff:ffff:ffff:ffff:ffff:ffff
88fc5d:57::/32fc5d:57:ffff:ffff:ffff:ffff:ffff:ffff
89fc5d:58::/32fc5d:58:ffff:ffff:ffff:ffff:ffff:ffff
90fc5d:59::/32fc5d:59:ffff:ffff:ffff:ffff:ffff:ffff
91fc5d:5a::/32fc5d:5a:ffff:ffff:ffff:ffff:ffff:ffff
92fc5d:5b::/32fc5d:5b:ffff:ffff:ffff:ffff:ffff:ffff
93fc5d:5c::/32fc5d:5c:ffff:ffff:ffff:ffff:ffff:ffff
94fc5d:5d::/32fc5d:5d:ffff:ffff:ffff:ffff:ffff:ffff
95fc5d:5e::/32fc5d:5e:ffff:ffff:ffff:ffff:ffff:ffff
96fc5d:5f::/32fc5d:5f:ffff:ffff:ffff:ffff:ffff:ffff
97fc5d:60::/32fc5d:60:ffff:ffff:ffff:ffff:ffff:ffff
98fc5d:61::/32fc5d:61:ffff:ffff:ffff:ffff:ffff:ffff
99fc5d:62::/32fc5d:62:ffff:ffff:ffff:ffff:ffff:ffff
100fc5d:63::/32fc5d:63:ffff:ffff:ffff:ffff:ffff:ffff
101fc5d:64::/32fc5d:64:ffff:ffff:ffff:ffff:ffff:ffff
102fc5d:65::/32fc5d:65:ffff:ffff:ffff:ffff:ffff:ffff
103fc5d:66::/32fc5d:66:ffff:ffff:ffff:ffff:ffff:ffff
104fc5d:67::/32fc5d:67:ffff:ffff:ffff:ffff:ffff:ffff
105fc5d:68::/32fc5d:68:ffff:ffff:ffff:ffff:ffff:ffff
106fc5d:69::/32fc5d:69:ffff:ffff:ffff:ffff:ffff:ffff
107fc5d:6a::/32fc5d:6a:ffff:ffff:ffff:ffff:ffff:ffff
108fc5d:6b::/32fc5d:6b:ffff:ffff:ffff:ffff:ffff:ffff
109fc5d:6c::/32fc5d:6c:ffff:ffff:ffff:ffff:ffff:ffff
110fc5d:6d::/32fc5d:6d:ffff:ffff:ffff:ffff:ffff:ffff
111fc5d:6e::/32fc5d:6e:ffff:ffff:ffff:ffff:ffff:ffff
112fc5d:6f::/32fc5d:6f:ffff:ffff:ffff:ffff:ffff:ffff
113fc5d:70::/32fc5d:70:ffff:ffff:ffff:ffff:ffff:ffff
114fc5d:71::/32fc5d:71:ffff:ffff:ffff:ffff:ffff:ffff
115fc5d:72::/32fc5d:72:ffff:ffff:ffff:ffff:ffff:ffff
116fc5d:73::/32fc5d:73:ffff:ffff:ffff:ffff:ffff:ffff
117fc5d:74::/32fc5d:74:ffff:ffff:ffff:ffff:ffff:ffff
118fc5d:75::/32fc5d:75:ffff:ffff:ffff:ffff:ffff:ffff
119fc5d:76::/32fc5d:76:ffff:ffff:ffff:ffff:ffff:ffff
120fc5d:77::/32fc5d:77:ffff:ffff:ffff:ffff:ffff:ffff
121fc5d:78::/32fc5d:78:ffff:ffff:ffff:ffff:ffff:ffff
122fc5d:79::/32fc5d:79:ffff:ffff:ffff:ffff:ffff:ffff
123fc5d:7a::/32fc5d:7a:ffff:ffff:ffff:ffff:ffff:ffff
124fc5d:7b::/32fc5d:7b:ffff:ffff:ffff:ffff:ffff:ffff
125fc5d:7c::/32fc5d:7c:ffff:ffff:ffff:ffff:ffff:ffff
126fc5d:7d::/32fc5d:7d:ffff:ffff:ffff:ffff:ffff:ffff
127fc5d:7e::/32fc5d:7e:ffff:ffff:ffff:ffff:ffff:ffff
128fc5d:7f::/32fc5d:7f:ffff:ffff:ffff:ffff:ffff:ffff
129fc5d:80::/32fc5d:80:ffff:ffff:ffff:ffff:ffff:ffff
130fc5d:81::/32fc5d:81:ffff:ffff:ffff:ffff:ffff:ffff
131fc5d:82::/32fc5d:82:ffff:ffff:ffff:ffff:ffff:ffff
132fc5d:83::/32fc5d:83:ffff:ffff:ffff:ffff:ffff:ffff
133fc5d:84::/32fc5d:84:ffff:ffff:ffff:ffff:ffff:ffff
134fc5d:85::/32fc5d:85:ffff:ffff:ffff:ffff:ffff:ffff
135fc5d:86::/32fc5d:86:ffff:ffff:ffff:ffff:ffff:ffff
136fc5d:87::/32fc5d:87:ffff:ffff:ffff:ffff:ffff:ffff
137fc5d:88::/32fc5d:88:ffff:ffff:ffff:ffff:ffff:ffff
138fc5d:89::/32fc5d:89:ffff:ffff:ffff:ffff:ffff:ffff
139fc5d:8a::/32fc5d:8a:ffff:ffff:ffff:ffff:ffff:ffff
140fc5d:8b::/32fc5d:8b:ffff:ffff:ffff:ffff:ffff:ffff
141fc5d:8c::/32fc5d:8c:ffff:ffff:ffff:ffff:ffff:ffff
142fc5d:8d::/32fc5d:8d:ffff:ffff:ffff:ffff:ffff:ffff
143fc5d:8e::/32fc5d:8e:ffff:ffff:ffff:ffff:ffff:ffff
144fc5d:8f::/32fc5d:8f:ffff:ffff:ffff:ffff:ffff:ffff
145fc5d:90::/32fc5d:90:ffff:ffff:ffff:ffff:ffff:ffff
146fc5d:91::/32fc5d:91:ffff:ffff:ffff:ffff:ffff:ffff
147fc5d:92::/32fc5d:92:ffff:ffff:ffff:ffff:ffff:ffff
148fc5d:93::/32fc5d:93:ffff:ffff:ffff:ffff:ffff:ffff
149fc5d:94::/32fc5d:94:ffff:ffff:ffff:ffff:ffff:ffff
150fc5d:95::/32fc5d:95:ffff:ffff:ffff:ffff:ffff:ffff
151fc5d:96::/32fc5d:96:ffff:ffff:ffff:ffff:ffff:ffff
152fc5d:97::/32fc5d:97:ffff:ffff:ffff:ffff:ffff:ffff
153fc5d:98::/32fc5d:98:ffff:ffff:ffff:ffff:ffff:ffff
154fc5d:99::/32fc5d:99:ffff:ffff:ffff:ffff:ffff:ffff
155fc5d:9a::/32fc5d:9a:ffff:ffff:ffff:ffff:ffff:ffff
156fc5d:9b::/32fc5d:9b:ffff:ffff:ffff:ffff:ffff:ffff
157fc5d:9c::/32fc5d:9c:ffff:ffff:ffff:ffff:ffff:ffff
158fc5d:9d::/32fc5d:9d:ffff:ffff:ffff:ffff:ffff:ffff
159fc5d:9e::/32fc5d:9e:ffff:ffff:ffff:ffff:ffff:ffff
160fc5d:9f::/32fc5d:9f:ffff:ffff:ffff:ffff:ffff:ffff
161fc5d:a0::/32fc5d:a0:ffff:ffff:ffff:ffff:ffff:ffff
162fc5d:a1::/32fc5d:a1:ffff:ffff:ffff:ffff:ffff:ffff
163fc5d:a2::/32fc5d:a2:ffff:ffff:ffff:ffff:ffff:ffff
164fc5d:a3::/32fc5d:a3:ffff:ffff:ffff:ffff:ffff:ffff
165fc5d:a4::/32fc5d:a4:ffff:ffff:ffff:ffff:ffff:ffff
166fc5d:a5::/32fc5d:a5:ffff:ffff:ffff:ffff:ffff:ffff
167fc5d:a6::/32fc5d:a6:ffff:ffff:ffff:ffff:ffff:ffff
168fc5d:a7::/32fc5d:a7:ffff:ffff:ffff:ffff:ffff:ffff
169fc5d:a8::/32fc5d:a8:ffff:ffff:ffff:ffff:ffff:ffff
170fc5d:a9::/32fc5d:a9:ffff:ffff:ffff:ffff:ffff:ffff
171fc5d:aa::/32fc5d:aa:ffff:ffff:ffff:ffff:ffff:ffff
172fc5d:ab::/32fc5d:ab:ffff:ffff:ffff:ffff:ffff:ffff
173fc5d:ac::/32fc5d:ac:ffff:ffff:ffff:ffff:ffff:ffff
174fc5d:ad::/32fc5d:ad:ffff:ffff:ffff:ffff:ffff:ffff
175fc5d:ae::/32fc5d:ae:ffff:ffff:ffff:ffff:ffff:ffff
176fc5d:af::/32fc5d:af:ffff:ffff:ffff:ffff:ffff:ffff
177fc5d:b0::/32fc5d:b0:ffff:ffff:ffff:ffff:ffff:ffff
178fc5d:b1::/32fc5d:b1:ffff:ffff:ffff:ffff:ffff:ffff
179fc5d:b2::/32fc5d:b2:ffff:ffff:ffff:ffff:ffff:ffff
180fc5d:b3::/32fc5d:b3:ffff:ffff:ffff:ffff:ffff:ffff
181fc5d:b4::/32fc5d:b4:ffff:ffff:ffff:ffff:ffff:ffff
182fc5d:b5::/32fc5d:b5:ffff:ffff:ffff:ffff:ffff:ffff
183fc5d:b6::/32fc5d:b6:ffff:ffff:ffff:ffff:ffff:ffff
184fc5d:b7::/32fc5d:b7:ffff:ffff:ffff:ffff:ffff:ffff
185fc5d:b8::/32fc5d:b8:ffff:ffff:ffff:ffff:ffff:ffff
186fc5d:b9::/32fc5d:b9:ffff:ffff:ffff:ffff:ffff:ffff
187fc5d:ba::/32fc5d:ba:ffff:ffff:ffff:ffff:ffff:ffff
188fc5d:bb::/32fc5d:bb:ffff:ffff:ffff:ffff:ffff:ffff
189fc5d:bc::/32fc5d:bc:ffff:ffff:ffff:ffff:ffff:ffff
190fc5d:bd::/32fc5d:bd:ffff:ffff:ffff:ffff:ffff:ffff
191fc5d:be::/32fc5d:be:ffff:ffff:ffff:ffff:ffff:ffff
192fc5d:bf::/32fc5d:bf:ffff:ffff:ffff:ffff:ffff:ffff
193fc5d:c0::/32fc5d:c0:ffff:ffff:ffff:ffff:ffff:ffff
194fc5d:c1::/32fc5d:c1:ffff:ffff:ffff:ffff:ffff:ffff
195fc5d:c2::/32fc5d:c2:ffff:ffff:ffff:ffff:ffff:ffff
196fc5d:c3::/32fc5d:c3:ffff:ffff:ffff:ffff:ffff:ffff
197fc5d:c4::/32fc5d:c4:ffff:ffff:ffff:ffff:ffff:ffff
198fc5d:c5::/32fc5d:c5:ffff:ffff:ffff:ffff:ffff:ffff
199fc5d:c6::/32fc5d:c6:ffff:ffff:ffff:ffff:ffff:ffff
200fc5d:c7::/32fc5d:c7:ffff:ffff:ffff:ffff:ffff:ffff
201fc5d:c8::/32fc5d:c8:ffff:ffff:ffff:ffff:ffff:ffff
202fc5d:c9::/32fc5d:c9:ffff:ffff:ffff:ffff:ffff:ffff
203fc5d:ca::/32fc5d:ca:ffff:ffff:ffff:ffff:ffff:ffff
204fc5d:cb::/32fc5d:cb:ffff:ffff:ffff:ffff:ffff:ffff
205fc5d:cc::/32fc5d:cc:ffff:ffff:ffff:ffff:ffff:ffff
206fc5d:cd::/32fc5d:cd:ffff:ffff:ffff:ffff:ffff:ffff
207fc5d:ce::/32fc5d:ce:ffff:ffff:ffff:ffff:ffff:ffff
208fc5d:cf::/32fc5d:cf:ffff:ffff:ffff:ffff:ffff:ffff
209fc5d:d0::/32fc5d:d0:ffff:ffff:ffff:ffff:ffff:ffff
210fc5d:d1::/32fc5d:d1:ffff:ffff:ffff:ffff:ffff:ffff
211fc5d:d2::/32fc5d:d2:ffff:ffff:ffff:ffff:ffff:ffff
212fc5d:d3::/32fc5d:d3:ffff:ffff:ffff:ffff:ffff:ffff
213fc5d:d4::/32fc5d:d4:ffff:ffff:ffff:ffff:ffff:ffff
214fc5d:d5::/32fc5d:d5:ffff:ffff:ffff:ffff:ffff:ffff
215fc5d:d6::/32fc5d:d6:ffff:ffff:ffff:ffff:ffff:ffff
216fc5d:d7::/32fc5d:d7:ffff:ffff:ffff:ffff:ffff:ffff
217fc5d:d8::/32fc5d:d8:ffff:ffff:ffff:ffff:ffff:ffff
218fc5d:d9::/32fc5d:d9:ffff:ffff:ffff:ffff:ffff:ffff
219fc5d:da::/32fc5d:da:ffff:ffff:ffff:ffff:ffff:ffff
220fc5d:db::/32fc5d:db:ffff:ffff:ffff:ffff:ffff:ffff
221fc5d:dc::/32fc5d:dc:ffff:ffff:ffff:ffff:ffff:ffff
222fc5d:dd::/32fc5d:dd:ffff:ffff:ffff:ffff:ffff:ffff
223fc5d:de::/32fc5d:de:ffff:ffff:ffff:ffff:ffff:ffff
224fc5d:df::/32fc5d:df:ffff:ffff:ffff:ffff:ffff:ffff
225fc5d:e0::/32fc5d:e0:ffff:ffff:ffff:ffff:ffff:ffff
226fc5d:e1::/32fc5d:e1:ffff:ffff:ffff:ffff:ffff:ffff
227fc5d:e2::/32fc5d:e2:ffff:ffff:ffff:ffff:ffff:ffff
228fc5d:e3::/32fc5d:e3:ffff:ffff:ffff:ffff:ffff:ffff
229fc5d:e4::/32fc5d:e4:ffff:ffff:ffff:ffff:ffff:ffff
230fc5d:e5::/32fc5d:e5:ffff:ffff:ffff:ffff:ffff:ffff
231fc5d:e6::/32fc5d:e6:ffff:ffff:ffff:ffff:ffff:ffff
232fc5d:e7::/32fc5d:e7:ffff:ffff:ffff:ffff:ffff:ffff
233fc5d:e8::/32fc5d:e8:ffff:ffff:ffff:ffff:ffff:ffff
234fc5d:e9::/32fc5d:e9:ffff:ffff:ffff:ffff:ffff:ffff
235fc5d:ea::/32fc5d:ea:ffff:ffff:ffff:ffff:ffff:ffff
236fc5d:eb::/32fc5d:eb:ffff:ffff:ffff:ffff:ffff:ffff
237fc5d:ec::/32fc5d:ec:ffff:ffff:ffff:ffff:ffff:ffff
238fc5d:ed::/32fc5d:ed:ffff:ffff:ffff:ffff:ffff:ffff
239fc5d:ee::/32fc5d:ee:ffff:ffff:ffff:ffff:ffff:ffff
240fc5d:ef::/32fc5d:ef:ffff:ffff:ffff:ffff:ffff:ffff
241fc5d:f0::/32fc5d:f0:ffff:ffff:ffff:ffff:ffff:ffff
242fc5d:f1::/32fc5d:f1:ffff:ffff:ffff:ffff:ffff:ffff
243fc5d:f2::/32fc5d:f2:ffff:ffff:ffff:ffff:ffff:ffff
244fc5d:f3::/32fc5d:f3:ffff:ffff:ffff:ffff:ffff:ffff
245fc5d:f4::/32fc5d:f4:ffff:ffff:ffff:ffff:ffff:ffff
246fc5d:f5::/32fc5d:f5:ffff:ffff:ffff:ffff:ffff:ffff
247fc5d:f6::/32fc5d:f6:ffff:ffff:ffff:ffff:ffff:ffff
248fc5d:f7::/32fc5d:f7:ffff:ffff:ffff:ffff:ffff:ffff
249fc5d:f8::/32fc5d:f8:ffff:ffff:ffff:ffff:ffff:ffff
250fc5d:f9::/32fc5d:f9:ffff:ffff:ffff:ffff:ffff:ffff
251fc5d:fa::/32fc5d:fa:ffff:ffff:ffff:ffff:ffff:ffff
252fc5d:fb::/32fc5d:fb:ffff:ffff:ffff:ffff:ffff:ffff
253fc5d:fc::/32fc5d:fc:ffff:ffff:ffff:ffff:ffff:ffff
254fc5d:fd::/32fc5d:fd:ffff:ffff:ffff:ffff:ffff:ffff
255fc5d:fe::/32fc5d:fe:ffff:ffff:ffff:ffff:ffff:ffff
256fc5d:ff::/32fc5d:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses